package com.zztrapp.zztrapp.http;

import rx.Subscription;

/**
 * Describe 管理rxJava的Subscription描述，可以理解为对一些事件所给的总Tag一样，你去办理身份证给的回执单一样，有了回执单你就可以追踪办理身份证的这个事情。
 * Created by Bby on 2021/10/2
 * Email bby0856@163.com
 */

public interface RxActionManager<T> {

    void add(T tag, Subscription subscription);

    void remove(T tag);

    void cancel(T tag);

    void cancelAll();
}
